#!/bin/tcsh

# ######################################################################
# Demonstration of Mobile IPv6 on a very simple network
# no need for TOPOMAN
# ######################################################################
   set NS=ns-mipv6			# NS binary

   # Output Directory
   set OUTDIR=.tmp
   echo "Output in temporary directory $OUTDIR"
   if ( -d $OUTDIR ) then
	rm -R $OUTDIR
   endif
   mkdir $OUTDIR
   set NAMF={$OUTDIR}/out.nam		# NAM file (optional)
   set TRACEF={$OUTDIR}/out.tr
   set INFOF={$OUTDIR}/out.info   

   # Launch simulation  
   $NS simple-mipv6.tcl -mactrace OFF -NAM 1 -namfile $NAMF -stop 1000 -tracefile $TRACEF 
